## sfront 0.97

=== src/Makefile ===

#    Sfront, a SAOL to C translator    
#    This file: Makefile for Sfront
#
# Copyright (c) 2000-2006, Regents of the University of California
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#  Redistributions of source code must retain the above copyright
#  notice, this list of conditions and the following disclaimer.
#
#  Redistributions in binary form must reproduce the above copyright
#  notice, this list of conditions and the following disclaimer in the
#  documentation and/or other materials provided with the distribution.
#
#  Neither the name of the University of California, Berkeley nor the
#  names of its contributors may be used to endorse or promote products
#  derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#    Maintainer: John Lazzaro, lazzaro@cs.berkeley.edu


##
## The current version and release date.
##
##             0.97 03/08/10

##
## BINDIR specifies the directory for the object sfront file.
## The "make install" option uses BINDIR, and the examples
## supplied with sfront assume this directory is in your path.
## It defaults to the sfront/bin directory.

BINDIR = ../bin/

##
## Compiler optimization and debug options. Mac OS X users 
## should replace "gcc" with "cc".
## 

CC = gcc 
OPT  = -O2 
DBUG =  -g
ECHECK = -ansi -Wall

##
## Windows/UWIN users should replace this line with
##
## SFRONT = sfront.exe
##

SFRONT = sfront

##
## Machine/OS specific compiling options should be added
## to CFLAGS below.
##

CFLAGS = $(OPT) $(DBUG) $(ECHECK)

## A few files gcc compiles very slowly on some platforms,
## so we add this flag to fix it.  Delete for other compilers.

SLOWSCHED = -fno-schedule-insns

##
## Machine/OS specific linking options should be added to
## LINKLIB below

LINKLIB = -lm

## Changes below this line shouldn't be needed -- if they are,
## add an appropriate definition above this line and refer to
## it below.

OBJS = parser.tab.o lex.o symbols.o globals.o treeupdate.o wtparse.o wtconst.o\
	corevars.o corecode.o special.o postparse.o readscore.o sfmain.o\
	writeorc.o blocktree.o writepre.o writeop.o writemain.o readmidi.o\
	mp4write.o tokens.o ascwrite.o mp4read.o collapse.o coreinline.o\
	audio.o control.o cmainpass.o csrclib.o asyslib.o csyslib.o \
	psyslib.o nsyslib.o parsehelp.o optconst.o optrate.o optrefer.o \
	optmain.o oclone.o stparse.o

## package maintainers need this to be first

all: $(SFRONT)

install: $(SFRONT)
	cp $(SFRONT) $(BINDIR)

clean:
	rm -f *.o $(SFRONT)

cleanall:
	rm -f *.o sfront $(BINDIR)sfront sfront.exe parser.tab.c parser.tab.h

csrclib.o:  csrclib.c tree.h parser.tab.h
	$(CC) $(CFLAGS) $(SLOWSCHED) -c -o csrclib.o csrclib.c

asyslib.o:  asyslib.c tree.h parser.tab.h
	$(CC) $(CFLAGS) $(SLOWSCHED) -c -o asyslib.o asyslib.c

csyslib.o:  csyslib.c tree.h parser.tab.h
	$(CC) $(CFLAGS) $(SLOWSCHED) -c -o csyslib.o csyslib.c

psyslib.o:  psyslib.c tree.h parser.tab.h
	$(CC) $(CFLAGS) $(SLOWSCHED) -c -o psyslib.o psyslib.c

nsyslib.o:  nsyslib.c tree.h parser.tab.h
	$(CC) $(CFLAGS) $(SLOWSCHED) -c -o nsyslib.o nsyslib.c

$(SFRONT):  $(OBJS) tree.h parser.tab.h
	$(CC) $(CFLAGS) $(OBJS) $(LINKLIB) -o $(SFRONT)

parser.tab.c:	parsehelp.c parser.y tree.h
	-bison -d parser.y	


##
## This section makes a distribution, in the directory
## $(BTYPE)dist which is at the same directory level as 
## sfront directory this Makefile resides in. To get
## this to work, you'll need to change the VERSION 
## string at the top of the file to be --VERSION--.
## You'll also need to change SFPLACE, SBPLACE and some "
## "cp" commands to copy documentation into the directories.
##
## If you're splitting off a new distribution, I'd suggest
## the following scheme: the original version number, followed
## by your initials, followed by your own version numbers. For
## example, Jane Q. Smith would split off version 0.5 into
## 0.5jqs0.1


## Name to prefix to binary distribution created by "make newdist"
##

BTYPE = gen

## New version number, date, and ID.
## Do "ls -lrt's" to check book freshness.
##

NEWVERSION = 0.97
NEWDATE = `date '+%m/%d/%y'`
NEWIDSTRING = $(NEWVERSION) $(NEWDATE)

## New versions of the sfront manual and book
##

SFPLACE = /Users/lazzaro/work/code/sfront/html/sfman/
SBPLACE = /Users/lazzaro/work/code/sfront/html/book/
CPPLACE = /Users/lazzaro/work/code/sfront/html/copyright/

newdist: 
	rm -rf ../../$(BTYPE)dist
	mkdir ../../$(BTYPE)dist
	mkdir ../../$(BTYPE)dist/sfront
	mkdir ../../$(BTYPE)dist/bin
	mkdir ../../$(BTYPE)dist/sfront/bin
	mkdir ../../$(BTYPE)dist/sfront/lib
	mkdir ../../$(BTYPE)dist/sfront/lib/Slib
	mkdir ../../$(BTYPE)dist/sfront/lib/reson
	mkdir ../../$(BTYPE)dist/sfront/src
	mkdir ../../$(BTYPE)dist/sfront/src/win
	mkdir ../../$(BTYPE)dist/sfront/src/lib
	mkdir ../../$(BTYPE)dist/sfront/src/lib/csrc
	mkdir ../../$(BTYPE)dist/sfront/src/lib/asys
	mkdir ../../$(BTYPE)dist/sfront/src/lib/csys
	mkdir ../../$(BTYPE)dist/sfront/src/lib/nsys
	mkdir ../../$(BTYPE)dist/sfront/src/lib/psys
	mkdir ../../$(BTYPE)dist/sfront/examples
	mkdir ../../$(BTYPE)dist/sfront/examples/rtime
	mkdir ../../$(BTYPE)dist/sfront/examples/rtime/au
	mkdir ../../$(BTYPE)dist/sfront/examples/rtime/network
	mkdir ../../$(BTYPE)dist/sfront/copyright
	mkdir ../../$(BTYPE)dist/sfront/sfman
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/adriver
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/intro
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/cdriver
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/cdriver/intro
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/cdriver/code
	mkdir ../../$(BTYPE)dist/sfront/sfman/devel/cdriver/data
	mkdir ../../$(BTYPE)dist/sfront/sfman/user
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/cmdline
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/cmdline/alsaseq
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/install
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/network
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/ref
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/rtime
	mkdir ../../$(BTYPE)dist/sfront/sfman/user/use
	mkdir ../../$(BTYPE)dist/sfront/book
	mkdir ../../$(BTYPE)dist/sfront/book/ack
	mkdir ../../$(BTYPE)dist/sfront/book/append
	mkdir ../../$(BTYPE)dist/sfront/book/append/cor1
	mkdir ../../$(BTYPE)dist/sfront/book/append/cor2/
	mkdir ../../$(BTYPE)dist/sfront/book/append/cor2/doc/
	mkdir ../../$(BTYPE)dist/sfront/book/append/corea
	mkdir ../../$(BTYPE)dist/sfront/book/append/coref
	mkdir ../../$(BTYPE)dist/sfront/book/append/lang
	mkdir ../../$(BTYPE)dist/sfront/book/append/notcov
	mkdir ../../$(BTYPE)dist/sfront/book/append/rules
	mkdir ../../$(BTYPE)dist/sfront/book/append/stnames
	mkdir ../../$(BTYPE)dist/sfront/book/append/wave
	mkdir ../../$(BTYPE)dist/sfront/book/bib
	mkdir ../../$(BTYPE)dist/sfront/book/control
	mkdir ../../$(BTYPE)dist/sfront/book/control/midi
	mkdir ../../$(BTYPE)dist/sfront/book/control/saolc
	mkdir ../../$(BTYPE)dist/sfront/book/control/sasl
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/filter
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/sgen
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/sproc
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/user
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/user/example
	mkdir ../../$(BTYPE)dist/sfront/book/opcodes/user/example/osine
	mkdir ../../$(BTYPE)dist/sfront/book/saol
	mkdir ../../$(BTYPE)dist/sfront/book/saol/bus
	mkdir ../../$(BTYPE)dist/sfront/book/saol/exstat
	mkdir ../../$(BTYPE)dist/sfront/book/saol/simple
	mkdir ../../$(BTYPE)dist/sfront/book/saol/vars
	mkdir ../../$(BTYPE)dist/sfront/book/saol/wave/
	mkdir ../../$(BTYPE)dist/sfront/book/saol/wave/examples
	mkdir ../../$(BTYPE)dist/sfront/book/saol/wave/examples/tsine
	mkdir ../../$(BTYPE)dist/sfront/book/simple
	mkdir ../../$(BTYPE)dist/sfront/book/simple/sine
	mkdir ../../$(BTYPE)dist/sfront/book/special
	mkdir ../../$(BTYPE)dist/sfront/book/special/debug
	mkdir ../../$(BTYPE)dist/sfront/book/special/slib
	mkdir ../../$(BTYPE)dist/sfront/book/special/au
	mkdir ../../$(BTYPE)dist/sfront/book/template
	mkdir ../../$(BTYPE)dist/sfront/book/tut
	mkdir ../../$(BTYPE)dist/sfront/book/tut/examples
	mkdir ../../$(BTYPE)dist/sfront/book/tut/examples/sine
	mkdir ../../$(BTYPE)dist/sfront/book/tut/examples/vcsine
	mkdir ../../$(BTYPE)dist/sfront/book/tut/examples/vsine
	cp ../lib/Slib/gmidi.hs  ../../$(BTYPE)dist/sfront/lib/Slib/
	cp ../lib/Slib/ssm.hs  ../../$(BTYPE)dist/sfront/lib/Slib/
	cp ../lib/Slib/std.hs  ../../$(BTYPE)dist/sfront/lib/Slib/
	cp ../lib/Slib/trig.hs  ../../$(BTYPE)dist/sfront/lib/Slib/
	cp ../lib/reson/README  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../lib/reson/abar.hs  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../lib/reson/macros.hs  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../lib/reson/marimba.hs  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../lib/reson/sreson.hs  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../lib/reson/string.hs  ../../$(BTYPE)dist/sfront/lib/reson/
	cp ../README.HTML ../../$(BTYPE)dist/sfront/README.HTML
	cp ../README.HTML ../../$(BTYPE)dist/sfront/index.html
	cp lex.c ../../$(BTYPE)dist/sfront/src/
	cp symbols.c ../../$(BTYPE)dist/sfront/src/
	cp globals.c ../../$(BTYPE)dist/sfront/src/
	cp treeupdate.c ../../$(BTYPE)dist/sfront/src/
	cp wtparse.c ../../$(BTYPE)dist/sfront/src/
	cp wtconst.c ../../$(BTYPE)dist/sfront/src/
	cp stparse.c ../../$(BTYPE)dist/sfront/src/
	cp corevars.c ../../$(BTYPE)dist/sfront/src/
	cp corecode.c ../../$(BTYPE)dist/sfront/src/
	cp special.c ../../$(BTYPE)dist/sfront/src/
	cp postparse.c ../../$(BTYPE)dist/sfront/src/
	cp readscore.c ../../$(BTYPE)dist/sfront/src/
	cp sfmain.c ../../$(BTYPE)dist/sfront/src/
	cp writeorc.c ../../$(BTYPE)dist/sfront/src/
	cp blocktree.c ../../$(BTYPE)dist/sfront/src/
	cp oclone.c ../../$(BTYPE)dist/sfront/src/
	cp writepre.c ../../$(BTYPE)dist/sfront/src/
	cp writeop.c ../../$(BTYPE)dist/sfront/src/
	cp writemain.c ../../$(BTYPE)dist/sfront/src/
	cp readmidi.c ../../$(BTYPE)dist/sfront/src/
	cp mp4write.c ../../$(BTYPE)dist/sfront/src/
	cp tokens.c ../../$(BTYPE)dist/sfront/src/
	cp ascwrite.c ../../$(BTYPE)dist/sfront/src/
	cp mp4read.c ../../$(BTYPE)dist/sfront/src/
	cp collapse.c ../../$(BTYPE)dist/sfront/src/
	cp optconst.c ../../$(BTYPE)dist/sfront/src/
	cp optrate.c ../../$(BTYPE)dist/sfront/src/
	cp optrefer.c ../../$(BTYPE)dist/sfront/src/
	cp optmain.c ../../$(BTYPE)dist/sfront/src/
	cp coreinline.c ../../$(BTYPE)dist/sfront/src/
	cp audio.c ../../$(BTYPE)dist/sfront/src/
	cp control.c ../../$(BTYPE)dist/sfront/src/
	cp cmainpass.c ../../$(BTYPE)dist/sfront/src/
	(cd lib; make cfiles; make clean)
	cp csrclib.c ../../$(BTYPE)dist/sfront/src/
	cp csyslib.c ../../$(BTYPE)dist/sfront/src/
	cp asyslib.c ../../$(BTYPE)dist/sfront/src/
	cp psyslib.c ../../$(BTYPE)dist/sfront/src/
	cp nsyslib.c ../../$(BTYPE)dist/sfront/src/
	cp csrclib.h ../../$(BTYPE)dist/sfront/src/
	cp csyslib.h ../../$(BTYPE)dist/sfront/src/
	cp asyslib.h ../../$(BTYPE)dist/sfront/src/
	cp psyslib.h ../../$(BTYPE)dist/sfront/src/
	cp nsyslib.h ../../$(BTYPE)dist/sfront/src/
	touch parser.tab.c

=== debian/changelog ===
sfront (0.97-1) unstable; urgency=low

  * New upstream release.
  * No patches, as upstream accepted the two remaining ones.

 -- Santiago Vila <sanvila@debian.org>  Thu, 11 Mar 2010 16:37:36 +0100

sfront (0.96-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field.
  * Added ${misc:Depends}.
  * Switch to 3.0 (quilt) source format.
  * Put install stuff in the binary-arch target.
  * Removed unwanted MacOS X resource files from the manual.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 19:03:38 +0100

sfront (0.95-1) unstable; urgency=low

  * New upstream release.
  * Added prototype for strcasestr. Closes: #562991.
    Thanks to Dann Frazier for the report and the patch.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Jan 2010 13:10:38 +0100

sfront (0.94-2) unstable; urgency=medium

  * Removed some examples that will not work on a Debian system.

 -- Santiago Vila <sanvila@debian.org>  Fri, 25 Dec 2009 14:12:16 +0100

sfront (0.94-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 20 Dec 2009 21:06:16 +0100

sfront (0.91-2) unstable; urgency=low

  * Removed references to Linux from the manpage.
  * Do not ignore errors from make cleanall.
  * Removed useless calls to install-docs.
  * Moved doc-base section to Sound.
  * Switch to debhelper 7.

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Aug 2009 23:41:12 +0200

sfront (0.91-1) unstable; urgency=low

  * New upstream release. Closes: #422443.
  * License has changed from GPL to BSD.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Jun 2007 23:32:00 +0200

sfront (0.87-3) unstable; urgency=low

  * Adopted package. Closes: #352542.
  * Standards-Version: 3.7.2

 -- Santiago Vila <sanvila@debian.org>  Mon,  8 Jan 2007 16:39:22 +0100

sfront (0.87-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#352542); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * debian/changelog: Remove obsolete Emacs local variables.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Wed, 22 Mar 2006 11:43:41 +0100

sfront (0.87-1) unstable; urgency=low

  * New upstream version
  * Updated standards version                  (debian/control).
  * Added gcc before the c-compiler suggestion (debian/control).
  * Fixed phrasing of the package description  (debian/control).
  * Removed obsolete URL                       (debian/README.Debian).
  * Updated download URL                       (debian/copyright).
	
 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 11 Dec 2004 17:26:08 -0500

sfront (0.85-1) unstable; urgency=low

  * New upstream version
  * Fixed source package to include the diff file this time.
  * make.rules now rebuilds the library directory.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 19 Oct 2002 14:37:24 -0400

sfront (0.84-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Robledo Arnuncio <era@debian.org>  Tue, 24 Sep 2002 22:30:20 -0400

sfront (0.81-1) unstable; urgency=low

  * New upstream version.
  * The Structured Audio Book is now part of the package.
  * Updated the package description.

 -- Enrique Robledo Arnuncio <era@debian.org>  Thu,  6 Jun 2002 21:26:31 +0200

sfront (0.79-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Robledo Arnuncio <era@debian.org>  Thu,  8 Nov 2001 00:57:29 +0100

sfront (0.78-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 27 Oct 2001 16:14:27 +0200

sfront (0.76-1) unstable; urgency=low

  * New upstream version.
  * Fixed the path of the manual in the README.Debian file.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sun,  7 Oct 2001 10:32:32 +0200

sfront (0.75-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed,  5 Sep 2001 22:42:25 +0200

sfront (0.73-1) unstable; urgency=low

  * Initial Release. closes the ITP #107113.
  * Removed examples with unknown license.
  * Added "-f" flag to "rm"'s in Makefile.
  * Added minimal manual page.

 -- Enrique Robledo Arnuncio <era@debian.org>  Tue, 31 Jul 2001 22:19:16 +0200

=== debian/control ===
Source: sfront
Section: sound
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Build-Depends: debhelper (>= 7), bison
Standards-Version: 3.8.4
Homepage: http://www.cs.berkeley.edu/~lazzaro/sa/

Package: sfront
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: make, gcc | c-compiler
Description: MPEG 4 Structured Audio decoder
 Sfront compiles MPEG 4 Structured Audio (MP4-SA) bitstreams into
 efficient C programs that generate audio when executed. It supports
 real-time, low-latency audio input/output, MIDI input from
 soundcards, and Network Musical Performance.
 .
 MP4-SA is a standard for normative algorithmic sound, that combines
 an audio signal processing language (SAOL) with score languages
 (SASL, and the legacy MIDI File Format).
 .
 This package includes the sfront application, the sfront manual and
 "The MPEG-4 Structured Audio Book", a book on sound modeling and
 sequencing using MP4-SA.
